Bug 121176 - Nautilus "disks" context menu is not updated with new fstab entries
Summary: Nautilus "disks" context menu is not updated with new fstab entries
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-18 15:46 UTC by Matthew Mott
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-20 13:58:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Mott 2004-04-18 15:46:13 UTC
Description of problem:

By right-clicking on the desktop and choosing the Disks submenu it
should be possible to view all mountable volumes in the PC. However if
a USB memory key is inserted AFTER Gnome has started, the entry
appears in fstab automatically but does not appear in the Disks menu
of Nautilus. The entry does however appear in the Disk Management
application under System Tools.

Version-Release number of selected component (if applicable):
nautilus-2.4.0-7

How reproducible:
Always.

Steps to Reproduce:
1. Log into Gnome without a USB memory key inserted.
2. Check that no entry for a USB memory key appears in /etc/fstab or
the Disks submenu of Nautilus desktop.
3. Insert a USB memory key.
4. Check that an entry has appear in /etc/fstab, then view the Disks
submenu of Nautilus desktop.
  
Actual results:
No entry for the USB key appears in the Disks menu. The memory key can
be mounted only using the bash prompt or through the Disk Management
application in System Tools.

Expected results:
The Disks menu should auto-update with the memory key option and
enable it to be mounted.

Additional info:
Googling for this problem suggests that a patch was available in Mid
2003 for this exact issue, but this appears not to be functioning in
Fedora Core 1.

Comment 1 Alexander Larsson 2004-04-20 13:58:48 UTC
This should work in rawhide (although the ui is slightly different).


Note You need to log in before you can comment on or make changes to this bug.